function [] = PlotFun(f,r)

%Version 1.0
%Copyright 28 December 2012 by Alan R. Parry
%Permission is granted to all to use this software for non-commercial uses
%only. Permission for commercial use must be obtained in writing from the
%author.
%
%This subroutine plots a function "f" on the mesh "r" and generates axes
%with a desired viewing window.

%Compute parameters.

N = length(r) - 1;

%Compute window

fwin = abs(f(1));
if fwin == 0
    fwin = 1;
end

%Plot f.

    figure(1)
    plot(r,f,'-k',r,zeros(1,N+1),'-k')
    axis([0 r(N+1) -1.1*fwin 1.1*fwin])

end